> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# 搜索个人资料

> 搜索个人资料

按名称或关键词搜索个人资料。

## 示例

```bash theme={null}
curl "https://api.aisa.one/apis/v1/instagram/search/profiles?query=VALUE" \
  -H "Authorization: Bearer YOUR_API_KEY"
```


## OpenAPI

````yaml openapi/zh/instagram.json GET /instagram/search/profiles
openapi: 3.0.0
info:
  title: Instagram API
  description: 读取 Instagram 公开数据——个人资料、帖子、Reels、评论、文字稿和搜索结果。
  version: 1.0.0
servers:
  - url: https://api.aisa.one/apis/v1
security:
  - bearerAuth: []
paths:
  /instagram/search/profiles:
    get:
      tags:
        - Instagram API
      summary: 搜索个人资料
      description: >-
        在 Google 中搜索与关键词或短语匹配的公开 Instagram 结果，然后返回匹配的公开个人资料。个人资料页面匹配项标记为
        matched_from=profile。Reel/帖子说明文字匹配项将补充至创作者个人资料中，并标记为
        matched_from=caption。此功能仅提供尽力而为的结果，具体取决于 Google 已编入索引的内容；它并非完整的
        Instagram 原生个人资料搜索。
      operationId: get_instagram-search-profiles
      parameters:
        - name: query
          in: query
          required: true
          description: 要搜索的个人简介或说明文字中的关键词/短语。
          schema:
            type: string
          example: fitness coach
        - name: cursor
          in: query
          required: false
          description: 上一个响应返回的游标。在此版本中，它是下一页 Google 结果的页码。
          schema:
            type: string
          example: '2'
      responses:
        '200':
          description: 成功响应
          content:
            application/json:
              example:
                success: true
                credits_remaining: 49997308061
                query: fitness coach
                profiles:
                  - id: '188767259'
                    username: charliejohnsonfitness
                    full_name: 'Worlds #1 Fitness Business Coach'
                    biography: >-
                      DM me “PAID” 

                      Learn how 1,000+ Fitness Coaches use my Paid Attention
                      System™️ as their NEW way to acquire high ticket clients

                      33 clients hit $100kpcm👇
                    bio_links:
                      - title: Install the Paid Attention System™️
                        lynx_url: >-
                          https://l.instagram.com/?u=https%3A%2F%2Fwww.7fss.com%2Fstep-1-copy%3Fel%3DIGBIOLINK%23open-popup&e=AUDL6mrGFNwwqQ5OS_ykY3196_aDgP3WevjzLFx8G7jkeMCdaQ34LYoLtaVthGp5x_sy5PqmCVr0QYah1cAfHJMPL2tvSClY
                        url: >-
                          https://www.7fss.com/step-1-copy?el=IGBIOLINK#open-popup
                        link_type: external
                    external_url: https://www.7fss.com/step-1-copy?el=IGBIOLINK
                    is_private: false
                    is_verified: true
                    is_business_account: true
                    is_professional_account: true
                    category_name: Coach
                    profile_pic_url: >-
                      https://instagram.fdet3-1.fna.fbcdn.net/v/t51.2885-19/444225908_1202724841095492_3262096613222025830_n.jpg?stp=dst-jpg_s150x150_tt6&efg=eyJ2ZW5jb2RlX3RhZyI6InByb2ZpbGVfcGljLmRqYW5nby4xMDgwLmMyIn0&_nc_ht=instagram.fdet3-1.fna.fbcdn.net&_nc_cat=100&_nc_oc=Q6cZ2gFTVWoQPCqNLj-erLzu1cFdO0-uazC-7j664y34QW50PvMRgi9toNMv94miQw1IPKU&_nc_ohc=5TYJtJtx0VQQ7kNvwGUcUOD&_nc_gid=jNVLQonLp3nF-24qe_urog&edm=AOQ1c0wBAAAA&ccb=7-5&oh=00_Af4AKr0x8tmEMoxUpNl7z-oM-KqiNxXQVavhCSJSzfJCjg&oe=6A1D2C23&_nc_sid=8b3546
                    follower_count: 503332
                    following_count: 6541
                    media_count: 8387
                    url: https://www.instagram.com/charliejohnsonfitness/
                    matched_from: profile
                    google_title: >-
                      Worlds #1 Fitness Business Coach (@charliejohnsonfitness)
                      - Instagram
                    google_description: "His name is Peter Doyle. His business does millions every single month and he's about to close the biggest capital raise of his career. He could have called\_..."
                cursor: '2'
              schema:
                $ref: '#/components/schemas/InstagramProfilesSearchResponse'
components:
  schemas:
    InstagramProfilesSearchResponse:
      type: object
      properties:
        success:
          type: boolean
        credits_remaining:
          type: integer
        query:
          type: string
        profiles:
          type: array
          items:
            type: object
            additionalProperties: true
        cursor:
          type: string
          nullable: true
      additionalProperties: true
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: AIsa API 密钥。前往 https://aisa.one 获取

````